Bug 116959 - gcc 3.2.3 STL streams have 2GB limit
gcc 3.2.3 STL streams have 2GB limit
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gcc (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-26 15:17 EST by Peter Klotz
Modified: 2012-06-20 11:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:59:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Klotz 2004-02-26 15:17:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
The compiler shipped with RHEL3 (Update 1) shows the following bug:
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=8610

Are there any plans to backport the fix for gcc 3.4 to gcc 3.2.3/RHEL3?

Version-Release number of selected component (if applicable):
gcc-3.2.3-24

How reproducible:
Always

Steps to Reproduce:
1.Take the sample program from the GNU gcc Bug Report mentioned above
2.
3.
    

Actual Results:  Files larger than 2GB are not supported

Expected Results:  Should be able to read/write from/to files >2GB

Additional info:
Comment 1 Suzanne Hillman 2004-03-01 16:12:26 EST
Internal RFE bug #117233 entered. Will be considered for future releases.
Comment 2 Benjamin Kosnik 2004-10-01 10:43:05 EDT
Fixed in gcc-3.4.x.
Comment 3 Jiri Pallich 2012-06-20 11:59:36 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.